require 'dbf'

module Estudiante

  DATA_FOLDER = "./"

  HEADERS = %w{
    id
    nombres
    apellidos
    cedula
    sexo
    fecha_nacimiento
    condicion
    observacion
    becado
    foto
    cedula_escolar
    email
    direccion
    peso
    estatura
    fecha_ingreso
    representante_id
    ciudad_id
    seccion_id
    matricula_id
    telefono_id
  }

  def self.checkPhone(home = nil, mobile = nil)
    puts "home: #{home} - mobile: #{mobile}"
  end

  def self.getStudents

    table = DBF::Table.new(DATA_FOLDER + "dir_alumnos.dbf")

    students = Array.new

    table.each do |estudiante|
      checkPhone(estudiante.telf, estudiante.celular)
    end
  end

end

Estudiante.getStudents